
Summary: A library for supporting Open Financial Exchange (OFX)
Name:	 libofx
Version: 0.8.0
Release: 0.1%{?dist}

License: GPL
Source:  http://download.sourceforge.net/libofx/%{name}-%{version}.tar.gz
Group:	 System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires: curl-devel
Requires: openjade >= 1.3.1

%if "%{?fedora}" > "2"
%define opensp openjade-devel >= 1.3.2
%endif

%if "%{?fedora}" > "4"
%define opensp opensp-devel
%endif

%if "%{?rhel}" > "3"
%define opensp openjade-devel >= 1.3.2
%endif

BuildRequires: %{?opensp}%{!?opensp:openjade >= 1.3.1}


%description
This is the LibOFX library.  It is a API designed to allow applications to
very easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ofx/default.asp for details and
specification. 

%package devel
Summary: Development files needed for accessing OFX data.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
The libofx-devel contains the header files and libraries necessary
for building applications that use libofx.


%prep
%setup -q


%build
%configure \
  --disable-static \
  --with-opensp-libs=%{_libdir}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.a 
rm -rf $RPM_BUILD_ROOT%{_docdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README totest.txt
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/libofx/

%files devel
%defattr(-,root,root,-)
%doc doc/html doc/ofx_sample_files
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Mon May 15 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.0-2.3
- Add BR for curl-devel.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.8.0-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.8.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan  6 2006 Nalin Dahyabhai <nalin@redhat.com> 0.8.0-2
- rebuild

* Tue Dec 20 2005 Bill Nottingham <notting@redhat.com> 0.8.0-1
- update to 0.8.0

* Tue Dec 13 2005 Tim Waugh <twaugh@redhat.com> 0.7.0-4
- Build requires: openjade-devel -> opensp-devel.

* Mon May 23 2005 Bill Nottingham <notting@redhat.com> 0.7.0-3
- remove static libs

* Tue Mar  8 2005 Bill Nottingham <notting@redhat.com> 0.7.0-2
- fix build with gcc4

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 0.7.0-1
- update to 0.7.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 0.6.6-2
- rebuilt
- Add gcc 3.4 patch

* Fri Mar 12 2004 Bill Nottingham <notting@redhat.com> 0.6.6-1
- split off from gnucash, adapt upstream spec, add -devel package
